#
# spec file for package yast2-restore (Version 2.13.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dbus-1-mono dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv iproute2 klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp libzypp-zmd-backend limal limal-bootloader limal-perl m4 make man master-boot-code mktemp module-init-tools mono-core mono-data mono-web ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules parted patch pcre pcre-devel perl perl-Bootloader perl-Compress-Zlib perl-URI perl-XML-Parser perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm rug sed sqlite strace suseRegister sysconfig sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-bootloader yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-installation yast2-perl-bindings yast2-pkg-bindings yast2-storage yast2-storage-lib yast2-testsuite zlib zlib-devel zmd

Name:           yast2-restore
Version:        2.13.1
Release:        12.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-restore-2.13.1.tar.bz2
prefix:		/usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-bootloader yast2-devtools yast2-testsuite
Requires:       yast2 yast2-core bzip2 gzip tar yast2-installation yast2-bootloader aaa_base
BuildArchitectures:	noarch
Summary:        YaST2 - System Restore

%description
This YaST2 module can restore a system from an archive created by the
Backup module.



Authors:
--------
    Ladislav Slezak <lslezak@suse.cz>

%debug_package
%prep
%setup -n yast2-restore-2.13.1

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/restore
/usr/share/YaST2/include/restore/*
/usr/share/YaST2/clients/restore.ycp
/usr/share/YaST2/clients/restore_*.ycp
/usr/share/YaST2/modules/Restore.ycp
/usr/share/YaST2/modules/Restore.ybc
%{prefix}/share/applications/YaST2/restore.desktop
%{prefix}/lib/YaST2/bin/restore_parse_pkginfo.pl
%doc %{prefix}/share/doc/packages/yast2-restore

%changelog -n yast2-restore
* Mon Mar 06 2006 - locilka@suse.cz
- Adjusting BuildRequires for package
- 2.13.1
* Fri Jan 06 2006 - locilka@suse.cz
- New version for maintenance
- 2.13.0
* Tue Aug 16 2005 - locilka@suse.cz
- Merged proofread texts (2nd round)
- 2.12.5
* Thu Jul 28 2005 - locilka@suse.cz
- Merged proofread texts
- 2.12.4
* Wed Jul 20 2005 - jsrain@suse.cz
- fixed neededforbuld (added limal stuff for bootloader)
- 2.12.3
* Wed Jul 20 2005 - arvin@suse.de
- added yast2-storage-lib to neededforbuild
- 2.12.2
* Tue Jul 12 2005 - locilka@suse.cz
- Changed texts and helps to be YaST Style Guide compatible
- 2.12.1
* Thu Apr 21 2005 - locilka@suse.cz
- Added Command Line Interface support (actually only information
  that CMDLine is not supported)
- Removed deprecated 'lookup' and 'select' builtin commands
- 2.12.0
* Fri Nov 05 2004 - locilka@suse.cz
- Adjusted for new Mode implementation
- 2.11.1
* Tue Oct 19 2004 - locilka@suse.cz
- using global text-messages anywhere it is possible
- 2.11.0
* Mon Sep 20 2004 - lslezak@suse.cz
- added Set/GetModified functions (autoyast API)
- version 2.10.1
* Fri Aug 27 2004 - lslezak@suse.cz
- merged proofread text
- version 2.10.0
* Mon May 24 2004 - lslezak@suse.cz
- ignore gpg-pubkey packages - they are not real RPMs
  and cannot be reinstalled (#40324)
- version 2.9.12
* Wed May 12 2004 - lslezak@suse.cz
- fixed star archive detection (#40325), ignore warnings in
  star output
- don't read backup archive in autoyast config mode (#40190)
- version 2.9.11
* Fri Apr 02 2004 - uml6@suse.cz
- changed license to GPL
- version 2.9.10
* Tue Mar 30 2004 - nashif@suse.de
- Also add sequence for atexit
* Tue Mar 30 2004 - nashif@suse.de
- Added missing alias to autoyast workflow
* Wed Mar 10 2004 - nashif@suse.de
- Adapt for new wizard
* Mon Mar 08 2004 - lslezak@suse.cz
- use Sequencer::, Package::
- set icon
- version 2.9.6
* Sun Mar 07 2004 - kkaempf@suse.de
- fix typing
* Mon Mar 01 2004 - lslezak@suse.cz
- more strict data types
- merged proofread texts
- removed Product::
- version 2.9.4
* Wed Feb 18 2004 - lslezak@suse.cz
- reading of the archive in autoyast config mode
  is optional (#34367)
* Tue Feb 10 2004 - lslezak@suse.cz
- removed *.y2cc file
- version 2.9.3
* Fri Jan 30 2004 - lslezak@suse.cz
- fixes for new interpreter (removed globals, nil checking)
- mount also floppies and CDs read-only
- use URL:: module for parsing
- build fix (ycp hook)
- version 2.9.2
* Fri Jan 09 2004 - lslezak@suse.cz
- fixes for the new interpreter
- use Service:: module
- version 2.9.1
* Wed Nov 19 2003 - lslezak@suse.cz
- use UI:: file popup builtins
- version 2.9.0
* Thu Sep 25 2003 - lslezak@suse.cz
- use Require module (#31673)
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Fri Sep 05 2003 - lslezak@suse.de
- mount devices read-only
- unmount source in the autoinstallation mode
- merged texts from proofread
- fixed RPMv4 database name
- logging fixed
- version 2.8.4
* Mon Sep 01 2003 - lslezak@suse.de
- parse archive content by perl script (for big archives it is
  much faster)
- added missing imports
- use NetworkPopup::NFSServer
- version 2.8.3
* Mon Aug 25 2003 - lslezak@suse.de
- backup current RPM DB before restoration
- removed "Initializing..." dialog
- read commpressed package descriptions
- propose and check RPM restoration status
- version 2.8.2
* Mon Aug 18 2003 - lslezak@suse.cz
- use Label:: and Popup:: modules
- version 2.8.1
* Wed Aug 06 2003 - lslezak@suse.de
- added help text
- added .desktop file
- version 2.8.0
* Wed Mar 12 2003 - lslezak@suse.de
- fixed extra } at the end of src/restore_auto.ycp file
- version 2.7.5
* Mon Mar 10 2003 - lslezak@suse.de
- start portmapper if it isn't runnig (needed at autoinstallation
  if non-NFS installation source and NFS backup archive is used)
- copy y2logs to directory /var/log/YaST2.before_restore before
  restoring files (y2logs are overwritten by archived files)
- version 2.7.4
* Mon Mar 03 2003 - lslezak@suse.de
- fixed archive search, restore files to the root
  directory (#24470)
- fixed star archiver installation
- boot loader reinstallation fix (force installation even if
  configuration is unchanged)
- version 2.7.3
* Mon Feb 24 2003 - lslezak@suse.de
- autoinstallation client bugfix
- version 2.7.2
* Mon Feb 10 2003 - lslezak@suse.de
- merged proofread texts
- version 2.7.1
* Mon Feb 03 2003 - lslezak@suse.cz
- updated autoinstallation support
- added function keys shortcuts
- fixed autoinstallation configuration bug (files in partially
  selected packages were lost)
- star archiver support
- update to the new Bootloader:: API
- merged proof-read texts
- version 2.7.0
* Wed Sep 18 2002 - lslezak@suse.cz
- fixed unstranslated message in help text
- version 2.6.11
* Wed Sep 04 2002 - lslezak@suse.cz
- fixed importing
- new icon in y2cc
- version 2.6.10
* Mon Aug 26 2002 - lslezak@suse.cz
- use Pkg::GetPackages to get list of installed packages
- version 2.6.9
* Fri Aug 23 2002 - lslezak@suse.cz
- better autoyast configuration (fixed behaviour, added summary)
- use Pkg::PkgSummary to get package description
- version 2.6.8
* Mon Aug 19 2002 - lslezak@suse.cz
- unpack files from archive to root dir
- system.png icon in Y2CC (temporary)
- version 2.6.7
* Wed Aug 14 2002 - lslezak@suse.cz
- merged proofread texts
- version 2.6.6
* Fri Aug 09 2002 - lslezak@suse.de
- fixed summary dialog
- fixed bootloader configuration
- added help texts for translators
- version 2.6.5
* Mon Aug 05 2002 - lslezak@suse.cz
- added help texts for translators
- fixed NFS source bug
- grub bootloader support
- use (old) package manager
- fixed #neededforbuild and Requires - yast2-devel-packages, tar
- version 2.6.4
* Mon Jul 22 2002 - jsrain@suse.cz
- merged proofread texts
- version 2.6.3
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Fri Jul 05 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Thu May 02 2002 - lslezak@suse.cz
- initial version
